<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:35 UTC 2019 -->
<title>VenueRouteOptions (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="VenueRouteOptions (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/VenueRouteOptions.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/venues3d/VenueRoute.html" title="class in com.here.android.mpa.venues3d"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteStyleOptions.html" title="class in com.here.android.mpa.venues3d"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/venues3d/VenueRouteOptions.html" target="_top">Frames</a></li>
<li><a href="VenueRouteOptions.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.venues3d</div>
<h2 title="Class VenueRouteOptions" class="title">Class VenueRouteOptions</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.venues3d.VenueRouteOptions</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">VenueRouteOptions</span>
extends java.lang.Object</pre>
<div class="block">Defines routing options used in indoor routing.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/venues3d/RoutingController.html" title="class in com.here.android.mpa.venues3d"><code>RoutingController</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#VenueRouteOptions--">VenueRouteOptions</a></span>()</code>
<div class="block">Constructs a <code>VenueRouteOptions</code> object.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#areCorridorsPreferred--">areCorridorsPreferred</a></span>()</code>
<div class="block">Returns if corridors are preferred.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#areElevatorsAllowed--">areElevatorsAllowed</a></span>()</code>
<div class="block">Checks whether Elevators are allowed.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#areEscalatorsAllowed--">areEscalatorsAllowed</a></span>()</code>
<div class="block">Checks whether Escalators are allowed.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#areGroundEntrancesPreferred--">areGroundEntrancesPreferred</a></span>()</code>
<div class="block">Returns if ground entrances are preferred.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#areRampsAllowed--">areRampsAllowed</a></span>()</code>
<div class="block">Checks whether Ramps are allowed.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#areStairsAllowed--">areStairsAllowed</a></span>()</code>
<div class="block">Checks whether Stairs are allowed.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#getColor-com.here.android.mpa.venues3d.IRouteSection.RouteSectionType-">getColor</a></span>(<a href="../../../../../com/here/android/mpa/venues3d/IRouteSection.RouteSectionType.html" title="enum in com.here.android.mpa.venues3d">IRouteSection.RouteSectionType</a> route_type)</code>
<div class="block">Returns color of the route line for the given <a href="../../../../../com/here/android/mpa/venues3d/IRouteSection.RouteSectionType.html" title="enum in com.here.android.mpa.venues3d"><code>IRouteSection.RouteSectionType</code></a>.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#getConnectorColor--">getConnectorColor</a></span>()</code>
<div class="block">Returns color of the route line for an accessor connection.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#getFlagsVisible--">getFlagsVisible</a></span>()</code>
<div class="block">Returns visiblity status of flags indicating the start and end points of a route.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#getIconsVisible--">getIconsVisible</a></span>()</code>
<div class="block">Returns visiblity status of icons indicating entrances and access methods (e.g.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#getIndoorRouteWidth--">getIndoorRouteWidth</a></span>()</code>
<div class="block">Gets a line width for indoor route section of the route.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#getOutdoorRouteWidth--">getOutdoorRouteWidth</a></span>()</code>
<div class="block">Gets a line width for outdoor route section of the route.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing">RouteOptions</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#getRouteOptions--">getRouteOptions</a></span>()</code>
<div class="block">Returns <a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing"><code>RouteOptions</code></a> related to this instance.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#getRouteVisible-com.here.android.mpa.venues3d.IRouteSection.RouteSectionType-">getRouteVisible</a></span>(<a href="../../../../../com/here/android/mpa/venues3d/IRouteSection.RouteSectionType.html" title="enum in com.here.android.mpa.venues3d">IRouteSection.RouteSectionType</a> route_type)</code>
<div class="block">Returns visiblity status of given <a href="../../../../../com/here/android/mpa/venues3d/IRouteSection.RouteSectionType.html" title="enum in com.here.android.mpa.venues3d"><code>IRouteSection.RouteSectionType</code></a>.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#isAutoParkingEnabled--">isAutoParkingEnabled</a></span>()</code>
<div class="block">Returns auto parking status.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#setAutoParkingEnabled-boolean-">setAutoParkingEnabled</a></span>(boolean enabled)</code>
<div class="block">Sets auto parking status.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#setColor-com.here.android.mpa.venues3d.IRouteSection.RouteSectionType-int-int-int-int-">setColor</a></span>(<a href="../../../../../com/here/android/mpa/venues3d/IRouteSection.RouteSectionType.html" title="enum in com.here.android.mpa.venues3d">IRouteSection.RouteSectionType</a> route_type,
        int a,
        int r,
        int g,
        int b)</code>
<div class="block">Sets color of the route line for the given <a href="../../../../../com/here/android/mpa/venues3d/IRouteSection.RouteSectionType.html" title="enum in com.here.android.mpa.venues3d"><code>IRouteSection.RouteSectionType</code></a>.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#setConnectorColor-int-int-int-int-">setConnectorColor</a></span>(int a,
                 int r,
                 int g,
                 int b)</code>
<div class="block">Sets color of the route line for an accessor connection.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#setCorridorsPreferred-boolean-">setCorridorsPreferred</a></span>(boolean enabled)</code>
<div class="block">Sets if corridors are preferred.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#setElevatorsAllowed-boolean-">setElevatorsAllowed</a></span>(boolean value)</code>
<div class="block">Sets whether Elevators are allowed.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#setEscalatorsAllowed-boolean-">setEscalatorsAllowed</a></span>(boolean value)</code>
<div class="block">Sets whether Escalators are allowed.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#setFlagsVisible-boolean-">setFlagsVisible</a></span>(boolean visible)</code>
<div class="block">Sets visiblity status of flags indicating the start and end points of a route.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#setGroundEntrancesPreferred-boolean-">setGroundEntrancesPreferred</a></span>(boolean enabled)</code>
<div class="block">Sets if ground entrances are preferred.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#setIconsVisible-boolean-">setIconsVisible</a></span>(boolean visible)</code>
<div class="block">Sets visiblity status of possible icons along a route.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#setIndoorRouteWidth-double-">setIndoorRouteWidth</a></span>(double width)</code>
<div class="block">Set a line width for indoor route section of the route.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#setOutdoorRouteWidth-int-">setOutdoorRouteWidth</a></span>(int width)</code>
<div class="block">Set a line width for outdoor route section of the route.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#setRampsAllowed-boolean-">setRampsAllowed</a></span>(boolean value)</code>
<div class="block">Sets whether Ramps are allowed.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#setRouteOptions-com.here.android.mpa.routing.RouteOptions-">setRouteOptions</a></span>(<a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing">RouteOptions</a> options)</code>
<div class="block">Sets <a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing"><code>RouteOptions</code></a> related to this instance.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#setRouteVisible-com.here.android.mpa.venues3d.IRouteSection.RouteSectionType-boolean-">setRouteVisible</a></span>(<a href="../../../../../com/here/android/mpa/venues3d/IRouteSection.RouteSectionType.html" title="enum in com.here.android.mpa.venues3d">IRouteSection.RouteSectionType</a> route_type,
               boolean visible)</code>
<div class="block">Sets visiblity status for given <a href="../../../../../com/here/android/mpa/venues3d/IRouteSection.RouteSectionType.html" title="enum in com.here.android.mpa.venues3d"><code>IRouteSection.RouteSectionType</code></a>.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#setStairsAllowed-boolean-">setStairsAllowed</a></span>(boolean value)</code>
<div class="block">Sets whether Stairs are allowed.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="VenueRouteOptions--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>VenueRouteOptions</h4>
<pre>public VenueRouteOptions()</pre>
<div class="block">Constructs a <code>VenueRouteOptions</code> object.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getRouteOptions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRouteOptions</h4>
<pre>public <a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing">RouteOptions</a> getRouteOptions()</pre>
<div class="block">Returns <a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing"><code>RouteOptions</code></a> related to this instance.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The route options.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#setRouteOptions-com.here.android.mpa.routing.RouteOptions-"><code>VenueRouteOptions.setRouteOptions(RouteOptions)</code></a></dd>
</dl>
</li>
</ul>
<a name="setRouteOptions-com.here.android.mpa.routing.RouteOptions-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRouteOptions</h4>
<pre>public void setRouteOptions(<a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing">RouteOptions</a> options)</pre>
<div class="block">Sets <a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing"><code>RouteOptions</code></a> related to this instance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>options</code> - The route options.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#getRouteOptions--"><code>VenueRouteOptions.getRouteOptions()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRouteVisible-com.here.android.mpa.venues3d.IRouteSection.RouteSectionType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRouteVisible</h4>
<pre>public boolean getRouteVisible(<a href="../../../../../com/here/android/mpa/venues3d/IRouteSection.RouteSectionType.html" title="enum in com.here.android.mpa.venues3d">IRouteSection.RouteSectionType</a> route_type)</pre>
<div class="block">Returns visiblity status of given <a href="../../../../../com/here/android/mpa/venues3d/IRouteSection.RouteSectionType.html" title="enum in com.here.android.mpa.venues3d"><code>IRouteSection.RouteSectionType</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>route_type</code> - Visiblity status of given <a href="../../../../../com/here/android/mpa/venues3d/IRouteSection.RouteSectionType.html" title="enum in com.here.android.mpa.venues3d"><code>IRouteSection.RouteSectionType</code></a> will be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true is visible, otherwise false</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#setRouteVisible-com.here.android.mpa.venues3d.IRouteSection.RouteSectionType-boolean-"><code>VenueRouteOptions.setRouteVisible(IRouteSection.RouteSectionType, boolean)</code></a></dd>
</dl>
</li>
</ul>
<a name="setRouteVisible-com.here.android.mpa.venues3d.IRouteSection.RouteSectionType-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRouteVisible</h4>
<pre>public void setRouteVisible(<a href="../../../../../com/here/android/mpa/venues3d/IRouteSection.RouteSectionType.html" title="enum in com.here.android.mpa.venues3d">IRouteSection.RouteSectionType</a> route_type,
                            boolean visible)</pre>
<div class="block">Sets visiblity status for given <a href="../../../../../com/here/android/mpa/venues3d/IRouteSection.RouteSectionType.html" title="enum in com.here.android.mpa.venues3d"><code>IRouteSection.RouteSectionType</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>route_type</code> - Set visibility status for given route section type.</dd>
<dd><code>visible</code> - Set true to get the route section visible, otherwise false</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#getRouteVisible-com.here.android.mpa.venues3d.IRouteSection.RouteSectionType-"><code>VenueRouteOptions.getRouteVisible(IRouteSection.RouteSectionType)</code></a></dd>
</dl>
</li>
</ul>
<a name="getFlagsVisible--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFlagsVisible</h4>
<pre>public boolean getFlagsVisible()</pre>
<div class="block">Returns visiblity status of flags indicating the start and end points of a route.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true is visible, otherwise false.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#setFlagsVisible-boolean-"><code>VenueRouteOptions.setFlagsVisible(boolean)</code></a></dd>
</dl>
</li>
</ul>
<a name="setFlagsVisible-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFlagsVisible</h4>
<pre>public void setFlagsVisible(boolean visible)</pre>
<div class="block">Sets visiblity status of flags indicating the start and end points of a route.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>visible</code> - Set true to get flags visible, otherwise false</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#getFlagsVisible--"><code>VenueRouteOptions.getFlagsVisible()</code></a></dd>
</dl>
</li>
</ul>
<a name="getIconsVisible--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIconsVisible</h4>
<pre>public boolean getIconsVisible()</pre>
<div class="block">Returns visiblity status of icons indicating entrances and access methods (e.g. stairs,
 elevators etc.) along the route. For example if the route leads to a different level via
 stairs, that is indicated by the stairs icon.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true is visible, otherwise false.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#setIconsVisible-boolean-"><code>VenueRouteOptions.setIconsVisible(boolean)</code></a></dd>
</dl>
</li>
</ul>
<a name="setIconsVisible-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIconsVisible</h4>
<pre>public void setIconsVisible(boolean visible)</pre>
<div class="block">Sets visiblity status of possible icons along a route.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>visible</code> - true to get icons visible, otherwise false.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#getIconsVisible--"><code>VenueRouteOptions.getIconsVisible()</code></a></dd>
</dl>
</li>
</ul>
<a name="getColor-com.here.android.mpa.venues3d.IRouteSection.RouteSectionType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getColor</h4>
<pre>public int getColor(<a href="../../../../../com/here/android/mpa/venues3d/IRouteSection.RouteSectionType.html" title="enum in com.here.android.mpa.venues3d">IRouteSection.RouteSectionType</a> route_type)</pre>
<div class="block">Returns color of the route line for the given <a href="../../../../../com/here/android/mpa/venues3d/IRouteSection.RouteSectionType.html" title="enum in com.here.android.mpa.venues3d"><code>IRouteSection.RouteSectionType</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>route_type</code> - Color of given <a href="../../../../../com/here/android/mpa/venues3d/IRouteSection.RouteSectionType.html" title="enum in com.here.android.mpa.venues3d"><code>IRouteSection.RouteSectionType</code></a> will be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A color as 32-bit integer. Format is (in hex): 0xAARRGGBB.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#setColor-com.here.android.mpa.venues3d.IRouteSection.RouteSectionType-int-int-int-int-"><code>VenueRouteOptions.setColor(IRouteSection.RouteSectionType, int, int, int, int)</code></a></dd>
</dl>
</li>
</ul>
<a name="setColor-com.here.android.mpa.venues3d.IRouteSection.RouteSectionType-int-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setColor</h4>
<pre>public void setColor(<a href="../../../../../com/here/android/mpa/venues3d/IRouteSection.RouteSectionType.html" title="enum in com.here.android.mpa.venues3d">IRouteSection.RouteSectionType</a> route_type,
                     int a,
                     int r,
                     int g,
                     int b)</pre>
<div class="block">Sets color of the route line for the given <a href="../../../../../com/here/android/mpa/venues3d/IRouteSection.RouteSectionType.html" title="enum in com.here.android.mpa.venues3d"><code>IRouteSection.RouteSectionType</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>route_type</code> - Color of given <a href="../../../../../com/here/android/mpa/venues3d/IRouteSection.RouteSectionType.html" title="enum in com.here.android.mpa.venues3d"><code>IRouteSection.RouteSectionType</code></a> will be set.</dd>
<dd><code>a</code> - An opacity of the color</dd>
<dd><code>r</code> - A red component of the color</dd>
<dd><code>g</code> - A green component of the color</dd>
<dd><code>b</code> - A blue component of the color</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#getColor-com.here.android.mpa.venues3d.IRouteSection.RouteSectionType-"><code>VenueRouteOptions.getColor(IRouteSection.RouteSectionType)</code></a></dd>
</dl>
</li>
</ul>
<a name="getConnectorColor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConnectorColor</h4>
<pre>public int getConnectorColor()</pre>
<div class="block">Returns color of the route line for an accessor connection.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A color as 32-bit integer. Format is (in hex): 0xAARRGGBB.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#setConnectorColor-int-int-int-int-"><code>VenueRouteOptions.setConnectorColor(int, int, int, int)</code></a></dd>
</dl>
</li>
</ul>
<a name="setConnectorColor-int-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConnectorColor</h4>
<pre>public void setConnectorColor(int a,
                              int r,
                              int g,
                              int b)</pre>
<div class="block">Sets color of the route line for an accessor connection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>a</code> - An opacity of the color</dd>
<dd><code>r</code> - A red component of the color</dd>
<dd><code>g</code> - A green component of the color</dd>
<dd><code>b</code> - A blue component of the color</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#getConnectorColor--"><code>VenueRouteOptions.getConnectorColor()</code></a></dd>
</dl>
</li>
</ul>
<a name="setIndoorRouteWidth-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIndoorRouteWidth</h4>
<pre>public void setIndoorRouteWidth(double width)</pre>
<div class="block">Set a line width for indoor route section of the route.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>width</code> - A route line width in meters. Minimum value is 0.01 and maximum value is 3.0.
        Default value is 1.2.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#getIndoorRouteWidth--"><code>VenueRouteOptions.getIndoorRouteWidth()</code></a></dd>
</dl>
</li>
</ul>
<a name="setOutdoorRouteWidth-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOutdoorRouteWidth</h4>
<pre>public void setOutdoorRouteWidth(int width)</pre>
<div class="block">Set a line width for outdoor route section of the route.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>width</code> - A route line width in meters. Minimum value is 1 and maximum value is 100.
        Default value is 10.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#getOutdoorRouteWidth--"><code>VenueRouteOptions.getOutdoorRouteWidth()</code></a></dd>
</dl>
</li>
</ul>
<a name="getIndoorRouteWidth--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIndoorRouteWidth</h4>
<pre>public double getIndoorRouteWidth()</pre>
<div class="block">Gets a line width for indoor route section of the route.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A route line width in meters.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#setIndoorRouteWidth-double-"><code>VenueRouteOptions.setIndoorRouteWidth(double)</code></a></dd>
</dl>
</li>
</ul>
<a name="getOutdoorRouteWidth--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOutdoorRouteWidth</h4>
<pre>public int getOutdoorRouteWidth()</pre>
<div class="block">Gets a line width for outdoor route section of the route.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A route line width in meters.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#setOutdoorRouteWidth-int-"><code>VenueRouteOptions.setOutdoorRouteWidth(int)</code></a></dd>
</dl>
</li>
</ul>
<a name="isAutoParkingEnabled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAutoParkingEnabled</h4>
<pre>public boolean isAutoParkingEnabled()</pre>
<div class="block">Returns auto parking status.
 If auto parking is enabled and there is no manually selected valid parking lots,
 routing algorithm will automatically select best parking lots and will make route through them.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Auto parking status.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#setAutoParkingEnabled-boolean-"><code>VenueRouteOptions.setAutoParkingEnabled(boolean)</code></a></dd>
</dl>
</li>
</ul>
<a name="setAutoParkingEnabled-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAutoParkingEnabled</h4>
<pre>public void setAutoParkingEnabled(boolean enabled)</pre>
<div class="block">Sets auto parking status.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabled</code> - true if auto parking is enabled, false otherwise.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#isAutoParkingEnabled--"><code>VenueRouteOptions.isAutoParkingEnabled()</code></a></dd>
</dl>
</li>
</ul>
<a name="areElevatorsAllowed--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>areElevatorsAllowed</h4>
<pre>public boolean areElevatorsAllowed()</pre>
<div class="block">Checks whether Elevators are allowed.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if allowed otherwise false.</dd>
</dl>
</li>
</ul>
<a name="setElevatorsAllowed-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setElevatorsAllowed</h4>
<pre>public void setElevatorsAllowed(boolean value)</pre>
<div class="block">Sets whether Elevators are allowed.
 <p>
 Use <a href="../../../../../com/here/android/mpa/venues3d/CombinedRoute.html#conformsConnectorOptions--"><code>CombinedRoute.conformsConnectorOptions()</code></a> to verify if
 calculated route conforms this option.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Use <code>true</code> if allowed, otherwise <code>false</code>.</dd>
</dl>
</li>
</ul>
<a name="areEscalatorsAllowed--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>areEscalatorsAllowed</h4>
<pre>public boolean areEscalatorsAllowed()</pre>
<div class="block">Checks whether Escalators are allowed.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if allowed otherwise false.</dd>
</dl>
</li>
</ul>
<a name="setEscalatorsAllowed-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEscalatorsAllowed</h4>
<pre>public void setEscalatorsAllowed(boolean value)</pre>
<div class="block">Sets whether Escalators are allowed.
 <p>
 Use <a href="../../../../../com/here/android/mpa/venues3d/CombinedRoute.html#conformsConnectorOptions--"><code>CombinedRoute.conformsConnectorOptions()</code></a> to verify if
 calculated route conforms this option.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Use <code>true</code> if allowed, otherwise <code>false</code>.</dd>
</dl>
</li>
</ul>
<a name="areStairsAllowed--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>areStairsAllowed</h4>
<pre>public boolean areStairsAllowed()</pre>
<div class="block">Checks whether Stairs are allowed.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if allowed otherwise false.</dd>
</dl>
</li>
</ul>
<a name="setStairsAllowed-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStairsAllowed</h4>
<pre>public void setStairsAllowed(boolean value)</pre>
<div class="block">Sets whether Stairs are allowed.
 <p>
 Use <a href="../../../../../com/here/android/mpa/venues3d/CombinedRoute.html#conformsConnectorOptions--"><code>CombinedRoute.conformsConnectorOptions()</code></a> to verify if
 calculated route conforms this option.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Use <code>true</code> if allowed, otherwise <code>false</code>.</dd>
</dl>
</li>
</ul>
<a name="areRampsAllowed--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>areRampsAllowed</h4>
<pre>public boolean areRampsAllowed()</pre>
<div class="block">Checks whether Ramps are allowed.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if allowed otherwise false.</dd>
</dl>
</li>
</ul>
<a name="setRampsAllowed-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRampsAllowed</h4>
<pre>public void setRampsAllowed(boolean value)</pre>
<div class="block">Sets whether Ramps are allowed.
 <p>
 Use <a href="../../../../../com/here/android/mpa/venues3d/CombinedRoute.html#conformsConnectorOptions--"><code>CombinedRoute.conformsConnectorOptions()</code></a> to verify if
 calculated route conforms this option.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Use <code>true</code> if allowed, otherwise <code>false</code>.</dd>
</dl>
</li>
</ul>
<a name="areCorridorsPreferred--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>areCorridorsPreferred</h4>
<pre>public boolean areCorridorsPreferred()</pre>
<div class="block">Returns if corridors are preferred. If true, routing algorithm will try to
 follow corridors without going through spaces (shops, rooms etc.).</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Corridors are preferred.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#setCorridorsPreferred-boolean-"><code>VenueRouteOptions.setCorridorsPreferred(boolean)</code></a></dd>
</dl>
</li>
</ul>
<a name="setCorridorsPreferred-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCorridorsPreferred</h4>
<pre>public void setCorridorsPreferred(boolean enabled)</pre>
<div class="block">Sets if corridors are preferred. If true, routing algorithm will try to
 follow corridors without going through spaces (shops, rooms etc.).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabled</code> - true if corridors are preferred, false otherwise.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#areCorridorsPreferred--"><code>VenueRouteOptions.areCorridorsPreferred()</code></a></dd>
</dl>
</li>
</ul>
<a name="areGroundEntrancesPreferred--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>areGroundEntrancesPreferred</h4>
<pre>public boolean areGroundEntrancesPreferred()</pre>
<div class="block">Returns if ground entrances are preferred. If true, routing algorithm will try to
 enter venue through ground entrances. Otherwise all entrances will be used equally.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Ground entrances are preferred.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#setGroundEntrancesPreferred-boolean-"><code>VenueRouteOptions.setGroundEntrancesPreferred(boolean)</code></a></dd>
</dl>
</li>
</ul>
<a name="setGroundEntrancesPreferred-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setGroundEntrancesPreferred</h4>
<pre>public void setGroundEntrancesPreferred(boolean enabled)</pre>
<div class="block">Sets if ground entrances are preferred. If true, routing algorithm will try to
 enter venue through ground entrances. Otherwise all entrances will be used equally.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabled</code> - true if ground entrances are preferred, false otherwise.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteOptions.html#areGroundEntrancesPreferred--"><code>VenueRouteOptions.areGroundEntrancesPreferred()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/VenueRouteOptions.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/venues3d/VenueRoute.html" title="class in com.here.android.mpa.venues3d"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/venues3d/VenueRouteStyleOptions.html" title="class in com.here.android.mpa.venues3d"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/venues3d/VenueRouteOptions.html" target="_top">Frames</a></li>
<li><a href="VenueRouteOptions.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
